<p align="center">
  <img src="docs/src/assets/logo-text.svg" height="200"><br>
  <a href="https://github.com/JuliaGeometry/Meshes.jl/actions">
    <img src="https://img.shields.io/github/actions/workflow/status/JuliaGeometry/Meshes.jl/CI.yml?branch=master&style=flat-square">
  </a>
  <a href="https://codecov.io/gh/JuliaGeometry/Meshes.jl">
    <img src="https://img.shields.io/codecov/c/github/JuliaGeometry/Meshes.jl?style=flat-square">
  </a>
  <a href="https://JuliaGeometry.github.io/Meshes.jl/stable">
    <img src="https://img.shields.io/badge/docs-stable-blue?style=flat-square">
  </a>
  <a href="https://JuliaGeometry.github.io/Meshes.jl/dev">
    <img src="https://img.shields.io/badge/docs-latest-blue?style=flat-square">
  </a>
  <a href="LICENSE">
    <img src="https://img.shields.io/badge/license-MIT-blue?style=flat-square">
  </a>
</p>
<p align="center">
  <a href="https://github.com/SciML/ColPrac">
    <img src="https://img.shields.io/badge/ColPrac-Contributor's%20Guide-blueviolet?style=flat-square">
  </a>
  <a href="https://julialang.zulipchat.com/#narrow/stream/275558-meshes.2Ejl">
    <img src="https://img.shields.io/badge/chat-on%20zulip-9cf?style=flat-square">
  </a>
</p>

# Project goals

- Design a comprehensive library for computational geometry and meshing algorithms in Julia.
- Unite different scientific communities using meshes (e.g. GIS, CFD, Computer Vision, Graphics)

## Installation

Get the latest stable release with Julia's package manager:

```
] add Meshes
```

## Documentation

- [**STABLE**][docs-stable-url] &mdash; **most recently tagged version of the documentation.**
- [**LATEST**][docs-latest-url] &mdash; *in-development version of the documentation.*

## Contributing

Contributions are very welcome, as are feature requests and suggestions.
Please open an issue if you encounter any problems. We take issues very
seriously and value any type of feedback.

Contributors are kindly asked to adhere to the [ColPrac](https://github.com/SciML/ColPrac) guidelines, and more specifically:

- Issues:
  - should discuss a concrete problem
  - should contain actionable items
  - should be marked with existing labels
  - should contain references if possible
- Pull Requests:
  - should only do one thing
  - should adopt the existing code style
  - should define appropriate tests for code changes

If you have questions or would like to brainstorm ideas in general,
don't hesitate to start a thread in our
[zulip channel](https://julialang.zulipchat.com/#narrow/stream/275558-meshes.2Ejl).
As ideas become concrete, they can be converted into GitHub issues for further action.

[docs-stable-img]: https://img.shields.io/badge/docs-stable-blue?style=flat-square
[docs-stable-url]: https://JuliaGeometry.github.io/Meshes.jl/stable

[docs-latest-img]: https://img.shields.io/badge/docs-latest-blue?style=flat-square
[docs-latest-url]: https://JuliaGeometry.github.io/Meshes.jl/dev
